Subject: AIList Digest V5 #131

From: [email-masked]@vtcs1
Date: Sun, 31 May 87 03:17:49 edt

Date: Fri 29 May 1987 21:08-PDT
From: AIList Moderator Kenneth Laws <[email-masked]>
Subject: AIList Digest   V5 #131
To: [email-masked]
Reply-to: [email-masked]
US-Mail: SRI Int., 333 Ravenswood Ave., Menlo Park, CA  94025
Phone: (415) 859-6467

AIList Digest           Saturday, 30 May 1987     Volume 5 : Issue 131

Today's Topics:
  Bibliography - Leff order.addresses6 & ai.bib53TR

----------------------------------------------------------------------

Date: Mon, 25 May 1987 13:38 CST
From: Leff (Southern Methodist University)
      <[email-masked]>
Subject: order.addresses6

Laboratory for Computer Science research
Rutgers University
New Brunswick, NJ 08903

Center for Supercomputing Research and Development
University of Illinois
305 Talbot Lab
104 S. Wright Street
Urbana, IL 61801-2932

Department of Computer Science
915 Patterson Office Tower
University of Kentucky
Lexington, Kentucky 40506-0027

L. A. Stratmann
Department of Computer Science
Rice University
P. O. Box 1892
Houston, Texas 77251

Robot Systems Division
University of Michigan
Ann Arbor, Michigan 48109

Department of Computer Science
University of Illinois at Urbana-Champaign
1304 West Springfield AVenue
Urbana, Illinois 61801

Department of Computer Sciences
Technical REport Center
Taylor Hall 2.124
The University of Texas at Austin
Austin, Texas 78712-1188

Diane Speekman
USC/Information Sciences Institute
4676 Admiralty Way, Ste. 1001
Marina del Rey, CA  90292-6695

------------------------------

Date: Mon, 25 May 1987 13:38 CST
From: Leff (Southern Methodist University)
      <[email-masked]>
Subject: ai.bib53TR

%A N. V. Murray
%A E. Rosenthal
%T Theory Links
%I State University of New York at Albany, Department of Computer Science
%R 86-3
%K AI11
%X We develop the notiton of theory link, which is a generalization of ordinary
link to a set of literals that are simultaneously unsatisfiable relative
to a given set of clauses.  We show that theory links may be 'activated' in
much the same manner as ordinary links when inferencing with respect to the
given set of clauses.  Several link deletion results are shown to hold for
theory links, and several examples, including Schubert's Steamroller,
are presented using first-order theory links.

%A N. V. Murray
%A E. Rosenthal
%T Path     Dissolution for Propositional Logic
%I State University of New York at Albany, Department of Computer Science
%R 86-6
%K AI10 Prawitz matrix reduction   semantic graphs   path resolution
Noetherean

%A M. Balaban
%A N. V. Murray
%T Logic Programming with LOGLISP
%I State University of New York at Albany, Department of Computer Science
%R 86-9
%K AT08 AI11 T01

%A M. Balaban
%T The Generalized-Concept Approach to Knowledge Representation: A Frame
Like Interface to Logic
%I State University of New York at Albany, Department of Computer Science
%R 86-12
%K Generalized-Concept Model AI10 AI16  AA25
%X see Tech Report 86-13 for extended version of the same paper

%A M. Balaban
%A N. V. Murray
%T A First Order Calculus for Temporal Knowledge
%I State University of New York at Albany, Department of Computer Science
%R 86-26
%K  AI10 AI16

%A M. Balaban
%T The Generalized-Concept (G-C) Formalism- An Object Oriented, Logic
Framework for Knowledge Representation in AI
%I State University of New York at Albany, Department of Computer Science
%R 86-27
%K AI10 AI16

%A A. Ginsberg
%A S. M. Weiss
%A P. Politakis
%T Automatic Knowledge Base Refinement for Classification Systems
%I Rutgers University
%R CBM-TR-148
%K SEEK SEEK2 AI03 AI01
%X system to refine knowledge bases automatically

%A C. V. Apte
%A S. M. Weiss
%T An Expert Systems Methodology for Control and Interpretation of
Applications Software
%I Rutgers University
%R CBM-TR-149
%K AA03 AI01 AA15
%X System for the Control and Interpretation of interactive software systems

%A A. Van der Mude
%T Some Formal Properties of Version Spaces
%I Rutgers University
%R DCS-TR-201
%K AI04 AI16 Inductive Inference
%X Version Spaces are a method for learning a general model which describes some
input data, by keeping track of a number of equally likely alternative
models (versions) consistent with the data, while deleting unacceptable
models and adding new versions as the need arises

%A T. Imielinski
%T Complexity of Query Processing in the Deductive Databases with Incomplete
Information
%I Rutgers University
%R DCS-TR-206
%K AA09 AI10
%X The Query Processing problem on relation databases with intensions
built from Linear Horn clauses, prefixes of the type all, some, all and
conjunctive queries.  Two properties are described which determine
the decidability of query processes.  A query is given which has exponential
lower bound.

%A T. Imielinski
%T Domain Abstraction and Limited Reasoning
%I Rutgers University
%R DCS-TR-207
%K O04 AI10 AI11
%X Approximate reasoning methods for first order logic

%A R. M. Keller
%T The Role of Explicit Contextual Knowledge in Learning Concepts to Improve
Performance
%I Rutgers University
%R ML-TR-7
%K AI03 AI01
%$ 15.00
%X Difficulties in using concept learning methods to improve an existing
systems performance.

%A W. Ludwell Harrison
%T Compiling Lisp for Evaluation on a Tightly Coupled Multiprocessor
%R CSRD Report No. 565
%I Center for Supercomputing Research and Development, University of Illinois
%D MAR 1986
%K T01 H03
%X 281 pages

%A Santosh Abraham
%A J. Patel
%T Parallel Garbage Collection on a Virtual Memory System
%I Center for Supercomputing Research and Development, University of Illinois
%R 620
%D AUG 1987
%K T01 H03
%X to appear in 1987 International Conference on Parallel Processing

%A W. Marek
%A M. Truszyczynski
%T Incompleteness of Information in Rule-Based Systems: The
Role of Minimal Sets
%R 87-87
%I Department of Computer Science, University of Kentucky
%K AI01 AI16

%A W. Marek
%T A Natural Semantics for Modal Logic Over Databases
%R 88-87
%I Department of Computer Science, University of Kentucky
%K AA09 AI10

%A Tom Altman
%A Suresh Easwar
%T Rotation-Invariant Enclodings for Linear-Time Shape Matching Algorithms
%R 89-87
%I Department of Computer Science, University of Kentucky
%K AI06 O06

%A W. Marek
%A M. Truszyczynski
%T Forcing Autoepistemic Statements
%R 90-87
%I Department of Computer Science, University of Kentucky
%K AI16

%A Robert Cartwright
%T Types as Intervals
%R TR84-5
%I Department of Computer Science, Rice University
%D NOV 1984
%$ 2.50
%K AI16  AI15
%X To accommodate polymorphic data types and operations, several computer
scientists - most notably MacQueen, Plotkin, and Sethi -- have proposed
formalizing types as ideas.  Although this approach is intuitively
appealing, the resulting type system is both complex and restrictive
because the type constructor that creates function types in [sic] not
monotonic, and hence not computable.  As a result, types cannot be
treated as data values, precluding the formalization of type constructors
and polymorphic program modules (where types are values) as higher order
computable functions.  Moreover, recursive definitions of new types do not
necessarily have solutions.
.sp
sp
This paper proposes a new formulation of types -- called intervals-- that
subsumes the theory of types as ideals, yet avoids the pathologies caused
by non-monotonic type constructors.  In particular, the set of interval
types contains the set of ideal types as a proper subset and all the
primitive type operations on intervals are extensions of the corresponding
operations on ideas.  Nevertheless, all of the primitive interval type
constructors including the function type constructor and type quantifiers
are computable operations.  Consequently, types are higher order data
values that can be freely manipulated within programs.

%A Robert Hood
%T Efficient Applicative Operations on Recursive Data Structures
%R TR 85-515
%I Department of Computer Science, Rice University
%D FEB 1985
%K T01
%$ 1.20
%X Gives O(1) time and space functions in Pure Lisp for a given set of
operations to manipulate recursive data structures such as LISP's S
expressions including array-like selection.

%A Hans Boehm
%A Alan Demers
%A James Donahue
%T A Programmers' Introduction t0o Russel
%R TR 85-16
%I Department of Computer Science, Rice University
%D MAR 1985
%$ 1.95
%X Russell is a programming language based on the view that a data type
is simply a collection of operations which can itself be manipulated.
This permits compile-type checking with the flexibilities of languages
supporting dynamic typing.

%A William G. Golson
%T A Complete Proof System for an Acceptance Refusal Model of CSP
%R TR 85-19
%D APR 1985
%I Department of Computer Science, Rice University
%K AA09 Concurrent Sequential Processes Hoare
%$ 2.25

%A Paul Besl
%A Ramesh Jain
%T An Overview of Three-Dimensional Object Recognition
%R RSD-TR-19-84
%I Robot Systems Division, University of Michigan
%K AI06
%$ 4.50

%A Paul Besl
%A Ramesh Jain
%T Surface Characterization for Three-Dimensional Object Recognition in
Depth Maps
%R RSD-TR-20-84
%I Robot Systems Division, University of Michigan
%K AI06
%$ 5.00

%A I. K. Sethi
%A Ramesh Jain
%T Finding Trajectories of Point in Monocular Image Sequence
%R RSD-TR-3-85
%I Robot Systems Division, University of Michigan
%K AI06
%$ 2.50
%X finding the same physical point in more than one dimension, formulated
as an optimization problem for the case of several nonrigid objects
in a scene.

%A Richard A. Volz
%A Tony C. Woo
%A Jan D. Wolter
%T Optimal Algorithms for Symmetry Detection in Two and Three Dimensions
%I Robot System Division, University of Michigan
%R RSD-TR-5-85
%K O06
%$ 2.50
%X Algorithms for finding rotational and involutional symmetries in point
sets, polygons nad polyhedrons.  Time is O(n) for polygons and O(nlogn) for
two and three-dimensional point sets.  Polyhedra with planar connected surface
graphs can be done in O(n) time.

%A Mubarak Shah
%A Arun Sood
%A Ramesh Jain
%T Pulse and Staircase Models for Detecting Edges at Multiple Resolution
%I Robot Systems Division, University of Michigan
%R RSD-TR-7-85
%K AI06
%$ 2.50

%A P. S. Bhugra
%A T. N. Mudge
%T Comparisons Between Ada and Lisp
%I Robot Systems Division, University of Michigan
%R RSD-TR-9-85
%K AI06
%$ 2.00

%A T. F. Knoll
%A R. C. Jain
%T Recognizing Partially Visible Objects Using Feature Indexed Hypotheses
%I Robot Systems Division, University of Michigan
%R RSD-Tr-10-85
%K AI06
%$ 2.50

%A S. M. Hyanes
%A Ramesh Jain
%T Event Detection and Correspondence
%I Robot Systems Division, University of Michigan
%R RSD-Tr-12-85
%K AI06
%$ 2.00
%X Detection of changes in uniformly accelerated motion of objects from
pictures of their movement

%A Paul Besl
%A Kurt Skifstad
%A Ramesh Jain
%T Objective Dimensionality Reduction Using Out-of-Class Covariance
%I Robot Systems Division, University of Michigan
%R RSD-TR-17-85
%K O06 AI06 O04
%$ 3.00
%X Non-hierarchical statistical decision algorithms spend a significant
portion of their time entertaining incorrect hypotheses in multiple class,
pattern recognition problems.  Maximum-likelihood multivariatie-Gaussian (MLMVG)
hypotheses testing is a common example of such a statistical pattern
rognition technique.  It is shown that the use of out of class covariance
matrices can significantly reduce the run-time computations required to
make MLMVG decisions.  The Analysis directly leads to an objective
dimensionality reduction (ODR) technique that indicate the preferred,
intrinsic dimensionality omultiple class decision spaces given the training
data.  Run-time computatio/ns are reduced even further using these reduced
dimension class decision spaces with dimensionality reduction technique to
stress the essential concepts of out-of-class covariance.  The theory has been
applied to a nine(9) class, twenty-seven (27) feature, automatic visual solder
joint inspection problem with excellent results; run-time computations
are reduced by more than a factor of three while maintaining excellent design
performance.

%A Shih-Ping Liou
%A Ramesh C. Jain
%T Detecting Road Edges Using Hypothesized Vanishing Points
%R RSD-TR-18-85
%I Robot Systems Division, University of Michigan
%K AI06 AA19
%$ 2.50

%A Suk In Yoo
%T A Methodology For Solving Problems in Artificial Intelligence
%R RSD-TR-20-85
%I Robot Systems Division, University of Michigan
%K AI03 A* heuristic function traveling salesman robot planning consistent
labelling theorem proving
%$ 11.50

%A Ramesh Jain
%A Sandra L. Bartlett
%A Nancy O'Brien
%T Motion Stereo Using Ego-Motion Complex Logarithmic Mapping
%I Robot Systems Division, University of Michigan
%R RSD-TR-3-86
%K AI06
%$ 2.50
%X Obtaining and using stereo information from a moving camera

%A Charles J. Conrad
%A N. Harris McClamroch
%T The Drilling Problem: A Stochastic Modeling and Control Example in
Manufacturing
%I Robot Systems Division, University of Michigan
%R RSD-TR-4-86
%K AA26
%$ 2.50

%A Paul Besl
%A Ramesh Jain
%T Segmentation Through Symbolic Surface Descriptions
%I Robot Systems Division, University of Michigan
%R RSD-TR-5-86
%K AI06
%$ 3.00

%A Pual Joseph Besl
%T Surfaces in Early Range Image Understanding
%I Robot Systems Division, University of Michigan
%R RSD-TR-10-86
%K AI06
%$ 18.00

%A Rajeev Agrawal
%A Ramesh Jain
%T An Overview of Tactile Sensing
%I Robot Systems Division, University of Michigan
%R RSD-TR-11-86
%K AI06 AI07
%$ 2.50

%A Jerry Lee Turney
%T Recognition of Partially Occluded Parts
%I Robot Systems Division, University of Michigan
%R RSD-TR-16-86
%K AI06 AI07 AA26
%$ 7.00

%T Behavior of Edges in Scale Space
%I Robot Systems Division, University of Michigan
%R RSD-2-87
%K AI06

%A Daniel Pual Miranker
%T TREAT: A New and Efficient Match Algorithm for AI Production Systems
%I University of Texas at Austin, Department of Computer Sciences
%R TR-87-03
%K AI01 H03 O06
%X The algorithm which was designed specifically for the DADO parallel
machine in fact is more efficient on sequential machines as well.

%A Allan Collins
%A Ryszard Michalski
%T The Logic of Plausible Reasoning: A Core Theory
%I Department of Computer Science, University of Illinois at Urbana-
Champaign
%R NO. 951
%D FEB 1986

%A John A. Bentrup
%A Gary J. Mehler
%A Joel D. Riedesel
%T INDUCE 4: A Program for Incrementally Learning Structural Descriptions
from Examples
%I Department of Computer Science, University of Illinois at Urbana-
Champaign
%R 958
%D FEB 1987
%K AI04

%A Peter Haddawy
%T A Variable Precision Logic Inference System Employing the Dempster-Shafer
Uncertainty Calculus
%I Department of Computer Science, University of Illinois at Urbana-
Champaign
%R 959
%D DEC 1986
%K O04 Construction Project Cost Estimation

%A R. S. Michalski
%A A. B. Baskin
%A C. Uhrik
%A T. Channik
%T The ADVISE.1 Meta-Expert System: The General Design and a Technical
Description
%I Department of Computer Science, University of Illinois at Urbana-
Champaign
%R 962
%D JAN 1987
%K AI01

%A Kaihu Chen
%T The Inductive Acquisition of Temporal Knowledge
%I Department of Computer Science, University of Illinois at Urbana-
Champaign
%R 964
%D DEC 1986
%K AI04 O03

%A Ryszard S. Michalski
%T Two-Tiered Concept Meaning, Inferential Matching and Conceptual
Cohesiveness
%I Department of Computer Science, University of Illinois at Urbana-
Champaign
%R 968
%D JUN 1986
%K AI04

%A Kenneth D. Forbus
%T The Qualitative Process Engine
%I Department of Computer Science, University of Illinois at Urbana-
Champaign
%R 1288
%D DEC 1986
%K AT15 qualitative physics

%A Kenneth D. Forbus
%T The Logic of Occurrence
%I Department of Computer Science, University of Illinois at Urbana-
Champaign
%R 1300
%D DEC 1986
%K Zeno's paradox pruning

%A Mitchell D. Lubas
%T A Knowledge-Based Design aid for the Construction of Software Systems
%I Department of Computer Science, University of Illinois at Urbana-
Champaign
%R 1304
%D NOV 1986
%K AA08

%A Larry Rendell
%A Powell Benedict
%A Howard Cho
%T Concept Acquisition from Examples: Measurement of System Performance and
Suggestions for Improved Design
%I Department of Computer Science, University of Illinois at Urbana-
Champaign
%R 1315
%D JAN 1987
%K AI04

%A Dedre Gentner
%T Evidence for A Structure-Mapping Theory of Analogy and Metaphor
%I Department of Computer Science, University of Illinois at Urbana-
Champaign
%R 1316
%D DEC 1986
%K AI02

%A Larry Rendell
%T Conceptual Knowledge Acquisition in Search
%I Department of Computer Science, University of Illinois at Urbana-
Champaign
%R 1317
%D JAN 1987
%K AI03 AI04

%A Larry Rendell
%A Raj Seshu
%A david Tcheng
%I Department of Computer Science, University of Illinois at Urbana-
Champaign
%T Robust Concept Learning Using Dynamically-Variable Bias
%R 1318
%D MAR 1987
%K AI04

%A Larry Rendell
%T Layered Concept Learning and Its Advantages
%I Department of Computer Science, University of Illinois at Urbana-
Champaign
%R 1320
%D MAR 1987
%K AI04

%A L. V. Kale
%T "Completeness" and "Full Parallelism" of Parallel Logic Programming
Schemes
%I Department of Computer Science, University of Illinois at Urbana-
Champaign
%R 1321
%D FEB 1987
%K H03 AI10

%A Larry Rendell
%T Representations and Models for Concept Learning
%I Department of Computer Science, University of Illinois at Urbana-
Champaign
%R 1324
%D MAR 1987
%K AI04

%T ANTITHESIS: A STUDY IN CLAUSE COMBINING AND DISCOURSE STRUCTURE
%A William C. Mann
%A Sandra A. Thompson
%R ISI/RS-87-171
%D April 1987
%I USC/Information Sciences Institute
%X approx. 30 pages
.sp
sp
AI research in text generation needs a strong linguistically justified
descriptive theory as a basis for creating methods by which programs can write
multiparagraph texts.  This paper sketches Rhetorical Structure Theory, which
has been designed to support text generation, and then applies RST to
describing a particular class of discourse constructs.
.sp
sp
There is no consensus as to the status of clause combining relations relative
to larger texts.  This paper demonstrates a clause combining relation that is
also found as part of larger text structures, and shows how this fact can be
used to explain cases in which contrastive clause combining appears between
clauses that are not in fact in contrast.  The appropriate generalization is
that the relations of clause combining and the relations of general text
structure are the same.  Use of this generalization should make AI text
planning and text generation significantly easier.

%T NOTES ON THE ORGANIZATION OF THE ENVIRONMENT OF A TEXT GENERATION GRAMMAR
%A Christian Matthiessen
%R ISI/RS-87-177
%D April 1987
%I USC/Information Sciences Institute
%K AI02
%X approx. 52 pages
.sp 1
sp 1
One of the tasks in designing a text generation system is to organize the
environment of the grammatical component of the generation system in such a
way that it supports the grammatical resources in generation.  This report
discusses the methods used for the Penman generation system to infer aspects
of the organization of the knowledge base and other components of the
environments of the Nigel grammar of the Penman system.  It is shown how the
design task can be broken down into a number of very explicit demands on the
environment.  In the main part of the report, the results of application of
such an approach is sketched, with particular emphasis on the general
organization of the knowledge base and the discourse model parts of the
environment.

%T Systemic Grammar and Functional Unification Grammar
and
Representational Issues In Systemic Functional Grammar
%A Christian Matthiessen
%A Robert Kasper
%R ISI/RS-87-179
%D April 1987
%I USC/Information Sciences Institute
%X approx. 55 pages
.sp
sp
SYSTEMIC GRAMMAR AND FUNCTIONAL UNIFICATION GRAMMAR: Systemic Functional
Grammar (SFG) and Functional Unification Grammar (FUG) are superficially very
different approaches to grammatical knowledge, but they share an underlying
comparability that runs very deep.  FUG shares with systemic descriptions an
emphasis on the functions of linguistic objects, and an explicit
representation of feature choices.  This paper explores how a systemic
grammar can be represented in FUG notation, as a step toward creating a
grammatical analysis program for English.  Because FUG has been developed as a
computational tool, expressing a systemic grammar in FUG notation allows new
computational techniques to be applied to it.  Among other benefits, this
program will make it possible to study how much the grammatical functions of
sentences are recoverable from them. It will also provide a method to test the
amount of ambiguity implicit in a systemic description, a topic which has so
far been inaccessible.  This use of FUG as an alternate representation for SFG
may have some additional benefits for both frameworks.  It provides some
solutions to problems in systemic notation which are described by Matthiessen
(in this volume). Several extensions to the FUG framework are also suggested
by this study.
.sp
sp
REPRESENTATIONAL ISSUES IN SYSTEMIC FUNCTIONAL GRAMMAR: Nigel is a large
diverse computational grammar for text generation. Its
framework is an implementation of Systemic Functional Theory of grammar and it
constitutes a context in which the representation of systemic theory can be
explored and studied.
.sp
sp
This paper surveys the representational devices used in the Nigel grammar and
the representational issues that they raise in relation to systemic theory.
These issues are diagnosed in the light of the metafunctional differentiation
of systemic theory.

------------------------------

End of AIList Digest
********************